import bundleSize from 'rollup-plugin-bundle-size';
import commonjs from '@rollup/plugin-commonjs';
import { nodeResolve } from '@rollup/plugin-node-resolve';
import { terser } from 'rollup-plugin-terser';

// function onwarn(warning, defaultHandler) {
//   if (warning.code !== 'CIRCULAR_DEPENDENCY') {
//     defaultHandler(warning);
//   }
// }

const name = 'hljs';

export default [
  {
    input: 'src/index.js',
    plugins: [
      bundleSize(),
      commonjs(),
      nodeResolve()
    ],
    // onwarn,
    output: [
      {
        file: 'dist/highlight.js',
        format: 'umd',
        // globals,
        name
      },
      {
        file: 'dist/highlight.min.js',
        format: 'umd',
        sourcemap: false,
        plugins: [ terser({ ecma: 2018 }) ],
        // globals,
        name
      }
    ]
  }
];